from reseau.circuit import Circuit 
from reseau.bloc import Bloc
from reseau.abduction import Abduction

circuit = Circuit()

circuit.ajouter_bloc('B1', 'a', 'b', 'f')
circuit.ajouter_bloc('B2', 'a', 'c', 'y')
circuit.ajouter_bloc('B3', 'f', 'y', 'g')

circuit.observe_incorrect('f')
circuit.observe_incorrect('g')

abduc = Abduction(circuit.conflits, circuit.no_goods)

conflit_minimal = abduc.calcule_conflit_minimal(afficher_etapes=True)

print('Conflit minimal :')
print(conflit_minimal)
