from reseau.circuit import Circuit 
from reseau.bloc import Bloc
from reseau.abduction import Abduction


circuit = Circuit()

circuit.ajouter_bloc('B1', 'a', 'b', 'f')
circuit.ajouter_bloc('B2', 'a', 'c', 'g')
circuit.ajouter_bloc('B3', 'c', 'd', 'h')
circuit.ajouter_bloc('B4', 'c', 'e', 'i')

circuit.ajouter_bloc('B5', 'f', 'h', 'j')
circuit.ajouter_bloc('B6', 'g', 'i', 'k')

circuit.ajouter_bloc('B7', 'j', 'k', 'l')

circuit.observe_incorrect('l')
circuit.observe_correct('j')


abduc = Abduction(circuit.conflits, circuit.no_goods)

conflit_minimal = abduc.calcule_conflit_minimal(afficher_etapes=True)

print('Conflit minimal :')
print(conflit_minimal)

